# Interface IRecordAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IRecordAttribute extends IClassFileAttribute
Description of record components attribute as described in the JVM specifications.

Since:
  3.22

## Method Summary

Modifier and Type
Method
Description
`IComponentInfo[]`
`getComponentInfos()`
Answer back the array of record component infos as specified in the JVM specifications, or an empty array if none.
`int`
`getNumberOfComponents()`
Answer back the number of components as specified in the JVM specifications.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getNumberOfComponents

int getNumberOfComponents()
Answer back the number of components as specified in the JVM specifications.

Returns:
  the number of components as specified in the JVM specifications

### getComponentInfos

IComponentInfo[] getComponentInfos()
Answer back the array of record component infos as specified in the JVM specifications, or an empty array if none.

Returns:
  the array of record component infos as specified in the JVM specifications, or an empty array if none